rte_mldev_core.h(3)

NAME
rte_mldev_core.h

SYNOPSIS

#include <stdint.h>
#include <dev_driver.h>
#include <rte_common.h>
#include <rte_log.h>
#include <rte_mldev.h>

  Typedefs

typedef int(* mldev_info_get_t) (struct rte_ml_dev *dev, struct rte_ml_dev_info *dev_info)

Detailed Description

MLDEV internal header

This file contains MLDEV private data structures and macros.

Note
    These APIs are for MLDEV PMDs and library only.

Definition in file rte_mldev_core.h.

Typedef Documentation

  typedef int(* mldev_info_get_t) (struct rte_ml_dev *dev, struct rte_ml_dev_info *dev_info)
Definitions of all functions exported by a driver through the generic structure of type ml_dev_ops supplied in the rte_ml_dev structure associated with a device.

Definition at line 110 of file rte_mldev_core.h.

Author

Generated automatically by Doxygen for DPDK from the source code.